/* Shared library add-on to iptables for unclean. */
#include <stdio.h>
#include <getopt.h>
#include "packet-filter/userspace/iptables.h"

/* Function which prints out usage message. */
static void
help(void)
{
	printf(
"unclean v%s takes no options\n"
"\n", NETFILTER_VERSION);
}

static struct option opts[] = {
	{0}
};

static void
init(union ipt_matchinfo *matchinfo, unsigned int *nfcache)
{
	/* Can't cache this. */
	*nfcache |= NFC_UNKNOWN;
}


/* Function which parses command options; returns true if it
   ate an option */
static int
parse(int c, char **argv, int invert, unsigned int *flags,
      struct ipt_entry *entry)
{
	return 0;
}

/* Final check; must have specified --mac. */
static void final_check(unsigned int flags)
{
}

/* Prints out the union ipt_matchinfo. */
static void print(const union ipt_matchinfo *info, int numeric)
{
}

struct iptables_match unclean
= { NULL,
    "unclean",
    &help,
    &init,
    &parse,
    &final_check,
    &print,
    opts
};

void _init(void)
{
	register_match(&unclean);
}
