#! /bin/sh

# Test parsing of the -t parameter.
../NAT/userspace/ipnatctl -I -d 127.0.0.1 -b dest -t $TAP0NET.2 || exit 1
if [ "`cat /proc/net/ip_nat_rules`" != "generic [DST] 0.0.0.0/0->127.0.0.1/32 TO: $TAP0NET.2 " ]
then
    echo Unexpected ip_nat_rules after 1:
    echo \`"`cat /proc/net/ip_nat_rules`"\'.
    exit 1
fi
../NAT/userspace/ipnatctl -D -d 127.0.0.1 -b dest -t $TAP0NET.2 || exit 1

../NAT/userspace/ipnatctl -I -d 127.0.0.1 -b dest -t $TAP0NET.0/24 || exit 1
if [ "`cat /proc/net/ip_nat_rules`" != "generic [DST] 0.0.0.0/0->127.0.0.1/32 TO: $TAP0NET.0-$TAP0NET.254 " ]
then
    echo Unexpected ip_nat_rules after 2:
    echo \`"`cat /proc/net/ip_nat_rules`"\'.
    exit 1
fi
../NAT/userspace/ipnatctl -D -d 127.0.0.1 -b dest -t $TAP0NET.0/24 || exit 1

../NAT/userspace/ipnatctl -I -d 127.0.0.1 -b dest -t $TAP0NET.0-$TAP0NET.127 || exit 1
if [ "`cat /proc/net/ip_nat_rules`" != "generic [DST] 0.0.0.0/0->127.0.0.1/32 TO: $TAP0NET.0-$TAP0NET.127 " ]
then
    echo Unexpected ip_nat_rules after 3:
    echo \`"`cat /proc/net/ip_nat_rules`"\'.
    exit 1
fi
../NAT/userspace/ipnatctl -D -d 127.0.0.1 -b dest -t $TAP0NET.0-$TAP0NET.127 || exit 1

../NAT/userspace/ipnatctl -I -d 127.0.0.1 -b dest -t $TAP0NET.0/255.255.255.0 || exit 1
if [ "`cat /proc/net/ip_nat_rules`" != "generic [DST] 0.0.0.0/0->127.0.0.1/32 TO: $TAP0NET.0-$TAP0NET.254 " ]
then
    echo Unexpected ip_nat_rules after 4:
    echo \`"`cat /proc/net/ip_nat_rules`"\'.
    exit 1
fi
../NAT/userspace/ipnatctl -D -d 127.0.0.1 -b dest -t $TAP0NET.0/255.255.255.0 || exit 1

../NAT/userspace/ipnatctl -I -d 127.0.0.1 -b dest -t $TAP0NET.1/255.255.255.0 || exit 1
if [ "`cat /proc/net/ip_nat_rules`" != "generic [DST] 0.0.0.0/0->127.0.0.1/32 TO: $TAP0NET.0-$TAP0NET.254 " ]
then
    echo Unexpected ip_nat_rules after 5:
    echo \`"`cat /proc/net/ip_nat_rules`"\'.
    exit 1
fi
../NAT/userspace/ipnatctl -D -d 127.0.0.1 -b dest -t $TAP0NET.1/255.255.255.0 || exit 1

../NAT/userspace/ipnatctl -I -d 127.0.0.1 -b dest -t $TAP0NET.1/24 || exit 1
if [ "`cat /proc/net/ip_nat_rules`" != "generic [DST] 0.0.0.0/0->127.0.0.1/32 TO: $TAP0NET.0-$TAP0NET.254 " ]
then
    echo Unexpected ip_nat_rules after 5:
    echo \`"`cat /proc/net/ip_nat_rules`"\'.
    exit 1
fi
../NAT/userspace/ipnatctl -D -d 127.0.0.1 -b dest -t $TAP0NET.1/24 || exit 1

exit 0
