#! /bin/sh
# Shell script to run conntrack test suite.

for f in 02conntrack/[0-9]*
do
    insmod ../conntrack/ip_conntrack.o || exit 1

    if $f
    then
	[ -z "$VERBOSE" ] || echo Test $f succeeded.
    else
	echo Test $f failed.
	exit 1
    fi

    rmmod ip_conntrack || exit 1
done

exit 0
