#! /bin/sh

# Test that name lookup works.

../NAT/userspace/ipnatctl -I -s localhost -d localhost -p tcp -b source -t 192.168.1.1 || exit 1
../NAT/userspace/ipnatctl -D -s 127.0.0.1 -d 127.0.0.1 -p tcp -b source -t 192.168.1.1 || exit 1

# Suppress lookups test.
if ../NAT/userspace/ipnatctl -I -n -s localhost -d 127.0.0.1 -p 6 -b source -t 192.168.1.1 2>/dev/null
then
    echo ipnatctl -I -n -s localhost -d 127.0.0.1 -p 6 -b source -t 192.168.1.1
    exit 1
fi

if ../NAT/userspace/ipnatctl -I -n -s 127.0.0.1 -d localhost -p 6 -b source -t 192.168.1.1 2>/dev/null
then
    echo ipnatctl -I -n -s 127.0.0.1 -d localhost -p 6 -b source -t 192.168.1.1
    exit 1
fi

if ../NAT/userspace/ipnatctl -I -n -s 127.0.0.1 -d 127.0.0.1 -p tcp -b source -t 192.168.1.1 2>/dev/null
then
    echo ipnatctl -I -n -s 127.0.0.1 -d 127.0.0.1 -p tcp -b source -t 192.168.1.1
    exit 1
fi

exit 0
