#! /bin/sh
# Shell script to run ipchains compatibility test suite.

for f in 04ipchains-compat/[0-9]*
do
    insmod ../compat/ipchains.o || exit 1

    if $f
    then
	[ -z "$VERBOSE" ] || echo Test $f succeeded.
    else
	echo Test $f failed.
	exit 1
    fi

    rmmod ipchains || exit 1
done

exit 0
